# PixelServer2

PixelServer2 ist eine Anwendung zur Verwaltung von Animationen unserer Pixeldecke. Es nutzt mehrere Python-Skripte, Systemtools oder Rust-Apps, um verschiedene visuelle Effekte auf einem Pixeldisplay darzustellen.

## Verzeichnisstruktur

- **apps/**: Enthält die ausführbaren Animationen.
- **doku/**: Dokumentationsdateien für die Installation und Konfiguration des Servers.
- **filter/**: Filter, welche auf die Anzeige angewendet werden können.
- **html/**: HTML-Dateien für die Web-Schnittstelle.
- **config.py**: Konfigurationsdatei für den Server und die Apps.
- **main.py**: Hauptanwendung für das Bespielen der Pixeldecke.

## Abhängigkeiten

### Python

pip install -r requirements.txt

### Rust

### System

apt install -y yt-dlp wget
